#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpcap
Version		:	1.9.1
Release		:	14.8.0.0%{?dist}
Summary		:	A system-independent interface for user-level packet capture
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD with advertising
URL		:	http://www.tcpdump.org/release

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
ibpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%files			
%defattr(-,root,root,-)
%doc CREDITS README.md LICENSE

%{_includedir}/pcap*.h
%{_includedir}/pcap/*.h
%{_bindir}/pcap-config
%{_libdir}/%{name}.a
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3pcap.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
